### File

`packages/core/src/lib/services/user/user.service.mock.ts`

### Extends

`UserService`

### Index

###### Methods

- getState
- getState
- getState
- init
- updateState
- updateState
- updateState
- getSignal

### Constructor

`constructor()`

### Methods

getState
`getState(mapFn?: (state?: T) => void)`

Type parameters :

- K

Parameters :

Name | Type | Optional
mapFn | `function` | Yes

Returns : `Observable<K>`

getState
`getState(key?: a)`

Type parameters :

- a

Parameters :

Name | Type | Optional
key | `a` | Yes

Returns : `Observable<unknown>`

getState
`getState(keyOrMapFn?: unknown | string)`

Type parameters :

- K

Parameters :

Name | Type | Optional
keyOrMapFn | `unknown | string` | Yes

Returns : `Observable<K>`

init
`init(userState: UserState)`

Parameters :

Name | Type | Optional
userState | `UserState` | No

Returns : `Observable<EuiServiceStatus>`

updateState
`updateState(userState: UserState)`

Parameters :

Name | Type | Optional
userState | `UserState` | No

Returns : `void`

updateState
`updateState(slice: T, reducer: (state: any, action: T) => void)`

Type parameters :

- a

Parameters :

Name | Type | Optional
slice | `T` | No
reducer | `function` | No

Returns : `void`

updateState
`updateState(userState: K | T, reducer?: unknown)`

Type parameters :

- K

Parameters :

Name | Type | Optional
userState | `K | T` | No
reducer | `unknown` | Yes

Returns : `void`

getSignal
`getSignal()`
This method is used to get the signal of the service. Returns : `Signal<T>`

# results matching ""

# No results matching ""